#include<stdio.h>
#include<stdlib.h>
long long A[1000000],B[1000000];
int main(){
	long long N;
	scanf("%d",&N);
	for(int i=0;i<N;i++){
		scanf("%lld",&A[i]);
		scanf("%lld",&B[i]);
	}
	printf("1");
}